---
layout: page

title: Privacy & Cookies Policy
description: 'Privacy & Cookies policies for use of the BigchainDB website.'
---

<div class="lead"><h4 style="opacity:.75;">tl;dr</h4> If you have Do Not Track activated we don't collect any information at all about your visit on the Site. If deactivated, we make sure to only collect the bare minimum of information needed, as described in this Privacy Policy.</div>

## Introduction

Our Privacy Policy sets out how your personal information is collected and used while you use the Site. We believe your personal information belongs to you, so we are very open about how we use it. The Privacy Policy is meant to be read together with the [Terms](https://bigchaindb.com/terms), so words that are capitalized have the same meaning in the Privacy Policy as they do in the Terms.
​
If you have a question about the Privacy Policy, email {{ site.email.gdpr }} and we will try to answer it for you.

## Our policies

We collect and use information in accordance with the German Telemedia Act (Telemediengesetz) and (Bundesdatenschutzgesetz), or with your specific and express consent.
​
We do not knowingly collect personal information from children under 18 without consent from a parent or guardian. If we learn a child has provided personal information, we may delete it.

## What information we collect and how we use it

When you visit the Site, we **don't** log any information about your visit on the server (technically, S3 bucket). We also don't load any 3rd party scripts tracking your indiviual behavior across multiple channels, like A/B testing tools, social network or sharing buttons, and so on.

We simply don't measure your "engagement with our brand" because we believe this is always in violation of your privacy, and ultimately meaningless.

### Google Analytics

The Site uses Google Analytics, which provides us with anonymized information about our users (such as IP address, browser version, and so on) and how they use the Site. We use this information to make the Site better. The collected IP addresses are truncated before being sent to Google, making them anonymized. Google Analytics also sets [cookies](#cookies).

If you have Do Not Track activated in your browser, or if you rejected our cookie banner, we don't collect any information and won't load anything from Google at all.

You can verify our technical implementation by looking into the [Site's repository source code](https://github.com/bigchaindb/site/blob/master/_src/_includes/scripts.html#L20).

### Adobe Typekit

We load [our fonts](https://www.bigchaindb.com/styleguide/#typography) from Adobe Typekit and the service is only used for delivering those font files. No cookies are set, nor does any of your information get submitted to Adobe. The Typekit service is subject to its own [Privacy Policy](https://www.adobe.com/privacy/policies/typekit.html).

### Web Forms

If you use the contact forms or CLA form on our website, the information you submit is collected by:

- [Formspree.io](https://formspree.io/), subject to its [Terms](https://formspree.io/static/TermsOfUse.pdf) and [Privacy Policy](https://formspree.io/static/PrivacyPolicy.pdf)
- [Zapier](https://zapier.com), subject to its [Terms](https://zapier.com/terms/) and [Privacy Policy](https://zapier.com/privacy/)

Note that Formspree.io only saves the most recent 100 messages. After that, messages are deleted. Formspree.io sends emails to us through Sendgrid.com in accordance with the [Sendgrid.com Privacy Policy](https://sendgrid.com/privacy).

If you want to contribute to the project, you must complete our [Contributor License Agreement](https://www.bigchaindb.com/cla) (CLA). We will store your completed CLA, including the personal information you include on it. We may use that personal information to contact you or to enforce the terms of the CLA.
​
If you want to sign the CLA form or contact us without using these forms, you can email {{ site.email.gdpr }}.

We use MailChimp for our newsletter, and the information you submit via our newsletter subscription form will be transferred to MailChimp for processing in accordance with their [Terms](https://mailchimp.com/legal/terms/) and [Privacy Policy](https://mailchimp.com/legal/privacy/).

### BigchainDB Test Network

Use of the BigchainDB Test Network available under [testnet.bigchaindb.com](https://testnet.bigchaindb.com) is subject to its own [Terms](https://testnet.bigchaindb.com/terms-network). Creating an account and using it submits your entered information to 3Scale according to their [Terms](https://www.3scale.net/terms-and-conditions/) and [Privacy Policy](https://www.redhat.com/en/about/privacy-policy).

### BigchainDB Documentation

Our documentation available under [docs.bigchaindb.com](https://docs.bigchaindb.com) is not part of this Site and is hosted by [Read the Docs](https://readthedocs.com). Usage of the documentation is subject to the [Terms](https://readthedocs.com/terms/) and [Privacy Policy](https://docs.readthedocs.io/en/latest/privacy-policy.html) of Read the Docs.

## How information is shared

We will not share or sell the identifiable personal information we collect or generate except as defined in this section.

We may share non-personal or aggregate information, such as usage statistics for the Site.

## Cookies

On the Site, only Google Analytics sets cookies. We have to set a cookie of our own though, for remembering acceptance or rejection of our cookie banner.
​
Again, if you have Do Not Track activated in your browser, or if you rejected our cookie banner, we don’t collect any information and won’t let Google set any cookies in your browser.

If you reject the cookie banner, all cookies set by Google Analytics for the Site will be removed from your browser.

In general, you can block cookies by using your browser's setting, or by installing a browser add-on such as [Privacy Badger](https://www.eff.org/privacybadger) or [uBlock Origin](https://github.com/gorhill/uBlock).

## Updating your personal information or revoking consent

You may ask us to correct or update your personal information if you cannot update it yourself. You may ask us to delete your personal information unless we are under a legal obligation to store it. If you revoke consent to store your personal information, it will be deleted.

If you want to correct or update your personal information, or revoke your consent you can email us at {{ site.email.gdpr }}.

## Business transfers

If we are involved in a merger, acquisition, or sale of all or a portion of our assets, your personal information may be transferred as part of that transaction. If this happens we will post a notice on the News section of the Site to advise of any change of control or use of personal information or files, and of any choices you may have regarding the information.

## Law enforcement requests

We may disclose personal information to law enforcement if we believe disclosure is necessary to:
- Comply with a law, regulation, or mandatory request such as a warrant or court order.
- Protect the any person from death or serious bodily injury.
- Protect the Site or BigchainDB GmbH from unlawful abuse or attacks.
